Subject: Re: [crash] BUG: unable to handle kernel NULL pointer dereference at 0000000000000370

From: Larry Finger <[email-masked]>
Date: Mon, 21 Jul 2008 17:40:10 -0500

Patrick McHardy wrote:
> Larry Finger wrote:
>> Patrick McHardy wrote:
>>>
>>> This is what I was missing, we're setting a lockdep class
>>> by default depending on dev->type. This patch combined
>>> with yours should fix all addr_list_lock warnings.
>>
>> No cigar yet. I tried davem's patch first, then yours on top of his. I 
>> still get both the recursive locking and the kernel warning.
> 
> Does this one earn me my cigar? :)

Sorry :(

I used the davem patch, the second version of your first one, and your second 
one. Both problems persist.

Still plugging away on bisection.

Larry
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html